ubuntu/+source/lighttpd:applied/ubuntu/disco-devel

Last commit made on 2019-02-25
Get this branch:
git clone -b applied/ubuntu/disco-devel https://git.launchpad.net/ubuntu/+source/lighttpd
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/disco-devel
Repository:
lp:ubuntu/+source/lighttpd

Recent commits

4312e00... by Gianfranco Costamagna on 2019-02-25

Import patches-applied version 1.4.53-3ubuntu1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: da06d60432b1eb34959bed190538bb427c4c8d74
Unapplied parent: 104dc9a80cb76f30d4616b9721557b39de966f71

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

104dc9a... by Gianfranco Costamagna on 2019-02-25

Add lighttpd.pc to ac_config_files to make sure its being built

Gbp-Pq: add-lighttpd.pc-configure.patch.

5088f8f... by Gianfranco Costamagna on 2019-02-25

build-dev-package.patch

No DEP3 Subject or Description header found

Gbp-Pq: build-dev-package.patch.

af1b451... by Gianfranco Costamagna on 2019-02-25

Import patches-unapplied version 1.4.53-3ubuntu1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 3634e67f013ad6bc35ab8d3fe7b0ec16410c14eb

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

da06d60... by Helmut Grohne <email address hidden> on 2019-02-23

Import patches-applied version 1.4.53-3 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 8ada997a0e7a0d328a4f8ccf79642529b9cea902
Unapplied parent: 3634e67f013ad6bc35ab8d3fe7b0ec16410c14eb

New changelog entries:
  * QA upload.
  [ Glenn Strauss ]
  * rules: debian/lighttpd/var/cache/lighttpd perms
  * stronger ciphers default: ssl.cipher-list = "HIGH"
  * autopkgtest: /etc/init.d/lighttpd configtest
  [ Helmut Grohne ]
  * autopkgtest defconfig needs root.
    Thanks to Antonio Terceiro for diagnosis and solution (Closes: #922447)

3634e67... by Helmut Grohne <email address hidden> on 2019-02-23

Import patches-unapplied version 1.4.53-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: de562c6d8f663347ff35f61aca5bc9bb66228b7d

New changelog entries:
  * QA upload.
  [ Glenn Strauss ]
  * rules: debian/lighttpd/var/cache/lighttpd perms
  * stronger ciphers default: ssl.cipher-list = "HIGH"
  * autopkgtest: /etc/init.d/lighttpd configtest
  [ Helmut Grohne ]
  * autopkgtest defconfig needs root.
    Thanks to Antonio Terceiro for diagnosis and solution (Closes: #922447)

8ada997... by Helmut Grohne <email address hidden> on 2019-02-13

Import patches-applied version 1.4.53-2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 5cd7c88df051c2151edb97402a5fe0bd54317818
Unapplied parent: de562c6d8f663347ff35f61aca5bc9bb66228b7d

New changelog entries:
  * QA Upload.
  [ Glenn Strauss ]
  * Fix spelling mistake "autn" in package relations.
  [ Stefan Bühler ]
  * use php-cgi instead of php; allow php5-cgi as alternative for jessie
  [ Glenn Strauss ]
  * add paths to lighttpd.tmpfile.conf (Closes: #679854)
  * use persistent location for db in webdav conf
  * remove dpkg-statoverride from lighttpd.init

de562c6... by Helmut Grohne <email address hidden> on 2019-02-13

Import patches-unapplied version 1.4.53-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fd7d34d06c021c464f0a5292eddbc05ac37bd295

New changelog entries:
  * QA Upload.
  [ Glenn Strauss ]
  * Fix spelling mistake "autn" in package relations.
  [ Stefan Bühler ]
  * use php-cgi instead of php; allow php5-cgi as alternative for jessie
  [ Glenn Strauss ]
  * add paths to lighttpd.tmpfile.conf (Closes: #679854)
  * use persistent location for db in webdav conf
  * remove dpkg-statoverride from lighttpd.init

5cd7c88... by Helmut Grohne <email address hidden> on 2019-01-28

Import patches-applied version 1.4.53-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: bd4c218074288a9bb4adad51133b85bb6248ab88
Unapplied parent: fd7d34d06c021c464f0a5292eddbc05ac37bd295

New changelog entries:
  * QA Upload.
  * Disable libunwind support by default (unavailable on s390x).
    Rebuild with DEB_BUILD_PROFILES=pkg.lighttpd.libunwind to use it.
  * Checked compliance with policy version 4.3.0.
  * New upstream release.
    + Drop all patches.
    + debian/tests/defconfig: Require no warnings.
  * Add php to Build-Depends to increase test coverage.
  * Support parallel building.
  * As we now serve /usr/lib/cgi-bin, create the directory.

fd7d34d... by Helmut Grohne <email address hidden> on 2019-01-28

Import patches-unapplied version 1.4.53-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f7d56601349544006d35ba864e5ca8296fccce64

New changelog entries:
  * QA Upload.
  * Disable libunwind support by default (unavailable on s390x).
    Rebuild with DEB_BUILD_PROFILES=pkg.lighttpd.libunwind to use it.
  * Checked compliance with policy version 4.3.0.
  * New upstream release.
    + Drop all patches.
    + debian/tests/defconfig: Require no warnings.
  * Add php to Build-Depends to increase test coverage.
  * Support parallel building.
  * As we now serve /usr/lib/cgi-bin, create the directory.